APT-SORTPKGS(1)

NOME
apt-sortpkgs - Utilitário para organizar ficheiros índice de pacotes

SINOPSE

apt-sortpkgs [-s] [-o=config_string] [-c=ficheiro_de_configuração] nome_do_ficheiro... {-v | --version} {-h | --help}

DESCRIÇÃO

apt-sortpkgs irá pegar num ficheiro índice (índice de fontes ou índice de pacotes) e organizar os registos para que fiquem ordenados pelo nome do pacote. Também organiza os campos internos de cada registo de acordo com as regras de organização internas.

Todas as saídas são enviadas para a saída standard, a entrada tem de ser um ficheiro passível de pesquisa.

OPÇÕES

Todas as opções de linha de comandos podem ser definidas usando o ficheiro de configuração, as descrições indicam a opção de configuração a definir. Para opções booleanas você pode sobre por o ficheiro de configuração usando algo como -f-,--no-f, -f=no ou várias outras variantes.

-s, --source
    Usa ordenação de campo de índice Source. Item de Configuração: APT::SortPkgs::Source.

-h, --help
    Mostra um sumário curto da utilização.

-v, --version
    Mostra a versão do programa.

--audit
    -Mostra mensagens audit (e notificações). Isto sobrepõe a opção quiet, mas apenas para mensagens de notificação, não as de progresso.

-c, --config-file
    Ficheiro de Configuração; Especifica o ficheiro de configuração a usar. O programa irá ler o ficheiro de configuração predefinido e depois este ficheiro de configuração. Se as definições de configuração precisarem de ser definidas antes, os ficheiros de configuração predefinidos são analisados especificando um ficheiro com a variável de ambiente APT_CONFIG. Veja apt.conf(5) para informação de sintaxe.

-o, --option
    Define uma Opção de Configuração; Isto irá definir uma opção de configuração arbitrária. A sintaxe é -o Foo::Bar=bar. -o e --option podem ser usadas várias vezes para definir opções diferentes.

--cli-version
    Requests a specific CLI version. This is a pattern that takes a MAJOR.MINOR version. You may omit the MINOR version, in which case the latest supported minor level will be used.

    Version tracks are presented as follows: The version 3.2 has equivalent versions 0.32, 1.22, and 2.12, implementing new features for their specified major versions.

    A special case is the X.9 version pattern: A version like 2.9 is followed by 3.0, but 2.10 follows directly on 2.8; given that we use odd version numbers as development series (2.9 is the 3.0 development series).

    This feature has been introduced in APT 3.1.10, and replaces the binary-specific configuration. You may use the APT::Version to similar effect on older binaries, for example, use -o APT::Version=2 to make apt(8) behave like the 2.x series.

    The default value is the current APT version for apt(8) and 0.(10 * major + minor) for the classic commands. The 0.X series is soft-deprecated and the other commands will roll over to the 2.x series in the future.

--no-color, --color
    Liga e desliga cores. As cores estão ligadas por predefinição nos terminais suportados para apt(8) e também podem ser desactivadas usando as variáveis de ambiente NO_COLOR ou APT_NO_COLOR, ou também configuradas pela opção de configuração e escopo APT::Color, veja apt.conf(5) para informação sobre isso.

VEJA TAMBÉM

apt.conf(5)

DIAGNÓSTICO

apt-sortpkgs devolve zero na operação normal, 100 decimal em erro.

BUGS

página de bugs do APT[1]. Se deseja reportar um bug no APT, por favor veja /usr/share/doc/debian/bug-reporting.txt ou o comando reportbug(1).

TRADUÇÃO

A tradução Portuguesa foi feita por Américo Monteiro <a_monteiro@netcabo.pt> de 2009 a 2012. A tradução foi revista pela equipa de traduções portuguesas da Debian <traduz@debianpt.org>.

Note que este documento traduzido pode conter partes não traduzidas. Isto é feito propositadamente, para evitar perdas de conteúdo quando a tradução está atrasada relativamente ao conteúdo original.

AUTORES

Jason Gunthorpe

Equipa do APT

NOTAS

1.  página de bugs do APT
    https://bugs.debian.org/src:apt